Package javax.help

# Class SecondaryWindow

java.lang.Object
javax.help.Presentation
javax.help.WindowPresentation
javax.help.SecondaryWindow

public class SecondaryWindow extends WindowPresentation
MainWindowPresentation is a class that will create a single main help window for an application. Although there is generally only one per application there can be multiple MainWindowPresentation. By default it is a tri-paned fully decorated window consisting of a toolbar, navigator pane, and help content view. By default the class is not destroyed when the window exits.

Since:
  2.0
See Also:
  - `WindowPresentation`
  - `Presentation`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
Destroy the SecondaryWindowPresentatin.
`static SecondaryWindow`
`getPresentation(String name)`
Gets a SecondaryWindow if one exists.
`static Presentation`
`getPresentation(HelpSet hs, String name)`
Get a named SecondaryWindow for a given HelpSet.

### Methods inherited from class javax.help.WindowPresentation

`createHelpWindow, getActivationWindow, getCurrentView, getFont, getHelpSetPresentation, getHelpWindow, getLocation, getScreen, getSize, getTitle, isDestroyedOnExit, isDisplayed, isTitleSetFromDocument, isToolbarDisplayed, isViewDisplayed, setActivationObject, setActivationWindow, setCurrentView, setDestroyOnExit, setDisplayed, setFont, setHelpSet, setHelpSetPresentation, setLocale, setLocation, setScreen, setSize, setTitle, setTitleFromDocument, setToolbarDisplayed, setViewDisplayed`

### Methods inherited from class javax.help.Presentation

`getCurrentID, getCurrentURL, getHelpModel, getHelpSet, getLocale, setCurrentID, setCurrentID, setCurrentURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPresentation

public static Presentation getPresentation(HelpSet hs, String name)
Get a named SecondaryWindow for a given HelpSet. Named SecondaryWindows are stored. If a named SecondaryWindow exits then it is returned, otherwise a new secondary window is created. If there is a HelpSet.Presentation of the same name the presentation attibutes will be used, otherwise, the default HelpSet.Presentation is used.

Parameters:
  `hs` - The HelpSet used in this presentation
  `name` - The name of the Presentation to create - also the name of the HelpSet.Presentation to use.

### getPresentation

public static SecondaryWindow getPresentation(String name)
Gets a SecondaryWindow if one exists. Does not create a Presentation if one does not exist.

Parameters:
  `name` - Name of the presentation to get
Returns:
  SecondaryWindow The found Presentation or null

### destroy

public void destroy()
Destroy the SecondaryWindowPresentatin. Specifically remove it from the list of SecondaryWindows.

Overrides:
  `destroy` in class `WindowPresentation`